function CBH.CreateSettingsMenu()
	local LAM = LibAddonMenu2
	--Register the Options panel with LAM
	local panelData =
	{
		type = "panel",
		name = "Coming Back Home",
		author = "Saleand",
		version = CBH.version,
	}
	LAM:RegisterAddonPanel("CBH_Settings", panelData)

	local notificationOptionChoices = {
		[1] = GetString(COMINGBACKHOME_MENU_NOTIFICATIONS_OPTION1),
		[2] = GetString(COMINGBACKHOME_MENU_NOTIFICATIONS_OPTION2),
		[3] = GetString(COMINGBACKHOME_MENU_NOTIFICATIONS_OPTION3),
	}

	--Set the actual panel data
	local optionsData = {

		[1] = {
			type = "divider",
			width = "full", --or "half" (optional)
			height = 20, --(optional)
			alpha = 0.25, --(optional)
			--reference = "MyAddonDivider" -- unique global reference to control (optional)
		},
		[2] = {
			type = "checkbox",
			name = GetString(COMINGBACKHOME_MENU_AUTO_TELEPORTATION_TITLE),
			tooltip = GetString(COMINGBACKHOME_MENU_AUTO_TELEPORTATION_POP_UP),
			getFunc = function()
				if CBH.savedVariables.autoTeleportation ~= nil then
					return CBH.savedVariables.autoTeleportation
				else return true
				end
			end,
			setFunc = function(value)
				CBH.savedVariables.autoTeleportation = value
				end,
		},
		[3] = {
			type = "dropdown",
			name = GetString(COMINGBACKHOME_MENU_NOTIFICATIONS_TITLE),
			tooltip = GetString(COMINGBACKHOME_MENU_NOTIFICATIONS_POP_UP),
			choices = notificationOptionChoices,
			getFunc = function()
				return notificationOptionChoices[CBH.savedVariables.notificationOption]
			end,
			setFunc = function(selectedChoice)
				for index, name in ipairs(notificationOptionChoices) do
					if name == selectedChoice then
						CBH.savedVariables.notificationOption = index
						break
					end
				end
			end,
		},
		[4] = {
			type = "divider",
			width = "full", --or "half" (optional)
			height = 20, --(optional)
			alpha = 0.25, --(optional)
			--reference = "MyAddonDivider" -- unique global reference to control (optional)
		},
		[5] = {
			type = "checkbox",
			name = GetString(COMINGBACKHOME_MENU_ALLOW_PREVIEW_HOUSES_TITLE),
			tooltip = GetString(COMINGBACKHOME_MENU_ALLOW_PREVIEW_HOUSES_POP_UP),
			getFunc = function()
				if CBH.savedVariables.includePreviewHouses ~= nil then
					return CBH.savedVariables.includePreviewHouses
				else return true
				end
			end,
			setFunc = function(value)
				CBH.savedVariables.includePreviewHouses = value
			end,
		},
		[6] = {
			type = "checkbox",
			name = GetString(COMINGBACKHOME_MENU_ALLOW_OTHER_PLAYERS_HOUSES_TITLE),
			tooltip = GetString(COMINGBACKHOME_MENU_ALLOW_OTHER_PLAYERS_HOUSES_POP_UP),
			getFunc = function()
				if CBH.savedVariables.includeOtherPlayersHouses ~= nil then
					return CBH.savedVariables.includeOtherPlayersHouses
				else return true
				end
			end,
			setFunc = function(value)
				CBH.savedVariables.includeOtherPlayersHouses = value
			end,
		},
		[7] = {
			type = "divider",
			width = "full", --or "half" (optional)
			height = 20, --(optional)
			alpha = 0.25, --(optional)
			--reference = "MyAddonDivider" -- unique global reference to control (optional)
		},
		[8] = {
			type = "description",
			text = zo_strformat("Tip: type /cbh to port to the last visited house.", "\n", "Controls settings: bind a key in game's controls settings to port to the last visited house"), -- or string id or function returning a string
			--title = "My Title", -- or string id or function returning a string (optional)
			width = "full", --or "half" (optional)
			--reference = "MyAddonDescription" -- unique global reference to control (optional)
		}
	}
	LAM:RegisterOptionControls("CBH_Settings", optionsData)
end
